#!/bin/sh
#
#
REPOD=/srv/benno/archive/repo
INBOX=/srv/benno/inbox

ls -t1 "${REPOD}" | while read boxdir; do
    [ -d "${REPOD}/${boxdir}" ] || continue
    [ -f "${REPOD}/${boxdir}_reimport.done" ] && continue

    sudo -u benno ./benno-bennobox2eml \
        -a "${REPOD}/${boxdir}" \
        -b "${REPOD}/boxstate.xml" \
        -e "${INBOX}" 2>&1 | gzip -c > "${REPOD}/${boxdir}_reimport"

    mv "${REPOD}/${boxdir}_reimport" "${REPOD}/${boxdir}_reimport.done"
done

